# Maintainer: snogard <snogardb at gmail dot com>

pkgname=wonderdraft-mimetypes 
pkgver=1.0.0
pkgrel=1
pkgdesc='Adds support for wonderdraft mime types to your system'
arch=('any')
license=(MIT)

depends=(
    'hicolor-icon-theme'
)
makedepends=(
    'imagemagick'
)

source=(
    'wonderdraft-mime.xml'
    'application-wonderdraft-map.png'    
)
sha256sums=('44a80735efeaa6691f40a4cbc78169619593b0b9ec72c9539f329f52b74437c4'
            'd9f0448037b1f467c245fb4ba9ec76993d048f048a8929a8561b0ec8bc7deec1')

build() {
    sizes=(16 22 32 48 64 96 128 256 512 1024)
    for i in "${sizes[@]}"; do
        folder="hicolor/${i}x${i}/mimetypes"
        mkdir -p $folder
        convert application-wonderdraft-map.png -filter box -resize ${i}x${i} $folder/application-wonderdraft-map.png
    done

}
package(){
    install -Dm755 wonderdraft-mime.xml ${pkgdir}/usr/share/mime/packages/wonderdraft.xml
    
    #install hicolor icons
    install -dm755 ${pkgdir}/usr/share/icons
    cp -r --no-preserve=mode,ownership hicolor "${pkgdir}/usr/share/icons/"
}
